classification
Title: test__xxsubinterpreters: test_subinterpreter() fails randomly on AMD64 Ubuntu Shared 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.snow Nosy List: emilyemorehouse, eric.snow, vstinner
Priority: normal Keywords:

Created on 2018-06-15 08:53 by vstinner, last changed 2018-09-19 23:24 by vstinner. This issue is now closed.

Messages (2)
msg319597 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-15 08:53
AMD64 Ubuntu Shared 3.x:

http://buildbot.python.org/all/#/builders/141/builds/98

Run tests in parallel using 2 child processes
...
0:21:40 load avg: 3.69 [352/417/1] test__xxsubinterpreters failed -- running: test_concurrent_futures (2 min 35 sec)
...
======================================================================
FAIL: test_subinterpreter (test.test__xxsubinterpreters.IsRunningTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/test/test__xxsubinterpreters.py", line 480, in test_subinterpreter
    self.assertTrue(interpreters.is_running(interp))
AssertionError: False is not true


test__xxsubinterpreters passed when run again in verbose mode.
msg319620 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-06-15 14:48
I'll take a look.
History
Date User Action Args
2018-09-19 23:24:31vstinnersetstatus: open -> closed
resolution: out of date
stage: resolved
2018-06-22 22:47:45eric.snowsetnosy: + emilyemorehouse
2018-06-15 14:48:16eric.snowsetmessages: + msg319620
2018-06-15 08:53:52vstinnercreate